OpenEduCat Library

by
v 13.0 Third Party 1537
Download for 13.0 series Deploy on Odoo.sh
Required Apps Invoicing (account)
Website (website)
Employees (hr)
Included Dependencies
Technical Name openeducat_library
LicenseLGPL-3
Websitehttp://www.openeducat.org
Also available in version v 12.0 v 11.0 v 10.0 v 9.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Website (website)
Employees (hr)
Included Dependencies
Technical Name openeducat_library
LicenseLGPL-3
Websitehttp://www.openeducat.org
Also available in version v 12.0 v 11.0 v 10.0 v 9.0

OpenEduCat Library

Library Management

This module adds the feature of library management to OpenEduCat. You can print media barcode & library id card.

Medias

Manage all details for media like author, publisher, ISBN code & other details. You can see movements & requests related to that.

Media Units

You can create media unit to manage details for each copy of a media.

Media Movements

Librarian can track media units by media movements and issues, return and actual return dates.

Media Queue Request

User can make request to get a media. If media is not there in library you can make purchase request.

Author

You can manage authors with his medias & other details.

Publisher

You can manage publisher with its medias & other details.

Need Any Help?

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo
by on

odoo data noupdate="1" record id="op_product_7" model="product.product" field name="name"Library penalty fee/field field name="type"service/field field name="default_code"penalty fee/field field name="product_uom_id" ref="uom.product_uom_unit"/ field name="uom_po_id" ref="uom.product_uom_unit"/ /record /data /odoo


Odoo
Error
by on

near


Odoo
Error 3
by on

" near Library penalty fee service penalty fee "


Odoo
Error2
by on

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 664, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 909, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 411, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 398, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 420, in load_modules loaded_modules, update_module, models_to_check) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 312, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 222, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 737, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 804, in convert_xml_import obj.parse(doc.getroot()) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 722, in parse exc_info[2] File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 13, in reraise raise value.with_traceback(tb) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 713, in parse self._tag_root(de) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 578, in _tag_record record = model._load_records([data], self.mode == 'update') File "/usr/lib/python3/dist-packages/odoo/models.py", line 4005, in _load_records records = self._load_records_create([data['values'] for data in to_create]) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3919, in _load_records_create return self.create(values) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/addons/product/models/product.py", line 317, in create products = super(ProductProduct, self.with_context(create_product_product=True)).create(vals_list) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 269, in create threads = super(MailThread, self).create(vals_list) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3624, in create raise ValueError("Invalid field %r on model %r" % (key, self._name)) odoo.tools.convert.ParseError: "Invalid field 'product_uom_id' on model 'product.product'" while parsing /usr/lib/python3/dist-packages/odoo/custom/addons/openeducat_library/data/product_demo.xml:2, near Library penalty fee service penalty fee


Odoo
Error
by on

Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 713, in parse self._tag_root(de) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 578, in _tag_record record = model._load_records([data], self.mode == 'update') File "/usr/lib/python3/dist-packages/odoo/models.py", line 4005, in _load_records records = self._load_records_create([data['values'] for data in to_create]) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3919, in _load_records_create return self.create(values) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/addons/product/models/product.py", line 317, in create products = super(ProductProduct, self.with_context(create_product_product=True)).create(vals_list) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 269, in create threads = super(MailThread, self).create(vals_list) File "", line 2, in create File "/usr/lib/python3/dist-packages/odoo/api.py", line 360, in _model_create_multi return create(self, arg) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3624, in create raise ValueError("Invalid field %r on model %r" % (key, self._name)) ValueError: Invalid field 'product_uom_id' on model 'product.product' During handling of the above exception, another exception occurred: